curl -X GET "https://api.hookpulse.io/v1/api/get_secrets_paginated/?page={{page}}" \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}"
const page = {{page}};
const response = await fetch(`https://api.hookpulse.io/v1/api/get_secrets_paginated/?page=${page}`, {
method: 'GET',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}'
}
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/get_secrets_paginated/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}'
}
params = {
'page': {{page}}
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/get_secrets_paginated/')
uri.query = URI.encode_www_form({ page: {{page}} })
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
response = http.request(request)
puts JSON.parse(response.body)
<?php
$page = {{page}};
$url = "https://api.hookpulse.io/v1/api/get_secrets_paginated/?page=" . urlencode($page);
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
{
"data": [
{
"key": "{{key}}",
"inserted_at": "{{inserted_at}}",
"secret_uuid": "{{secret_uuid}}",
"call_key": "{{ #key }}"
},
{
"key": "{{key}}",
"inserted_at": "{{inserted_at}}",
"secret_uuid": "{{secret_uuid}}",
"call_key": "{{ #key }}"
}
],
"meta": {
"page": {{page}},
"total_count": {{total_count}},
"per_page": {{per_page}},
"total_pages": {{total_pages}},
"has_next": {{has_next}},
"has_prev": {{has_prev}}
},
"success": true,
"timezone": "{{timezone}}"
}
System Secret Vault
Get Secrets (Paginated)
Retrieve a paginated list of all system secrets stored in your vault
GET
/
v1
/
api
/
get_secrets_paginated
/
curl -X GET "https://api.hookpulse.io/v1/api/get_secrets_paginated/?page={{page}}" \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}"
const page = {{page}};
const response = await fetch(`https://api.hookpulse.io/v1/api/get_secrets_paginated/?page=${page}`, {
method: 'GET',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}'
}
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/get_secrets_paginated/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}'
}
params = {
'page': {{page}}
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/get_secrets_paginated/')
uri.query = URI.encode_www_form({ page: {{page}} })
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
response = http.request(request)
puts JSON.parse(response.body)
<?php
$page = {{page}};
$url = "https://api.hookpulse.io/v1/api/get_secrets_paginated/?page=" . urlencode($page);
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
{
"data": [
{
"key": "{{key}}",
"inserted_at": "{{inserted_at}}",
"secret_uuid": "{{secret_uuid}}",
"call_key": "{{ #key }}"
},
{
"key": "{{key}}",
"inserted_at": "{{inserted_at}}",
"secret_uuid": "{{secret_uuid}}",
"call_key": "{{ #key }}"
}
],
"meta": {
"page": {{page}},
"total_count": {{total_count}},
"per_page": {{per_page}},
"total_pages": {{total_pages}},
"has_next": {{has_next}},
"has_prev": {{has_prev}}
},
"success": true,
"timezone": "{{timezone}}"
}
Retrieve a paginated list of all system secrets stored in your vault.
Base URL
All API requests should be made to:https://api.hookpulse.io
Example request
curl -X GET "https://api.hookpulse.io/v1/api/get_secrets_paginated/?page={{page}}" \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}"
const page = {{page}};
const response = await fetch(`https://api.hookpulse.io/v1/api/get_secrets_paginated/?page=${page}`, {
method: 'GET',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}'
}
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/get_secrets_paginated/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}'
}
params = {
'page': {{page}}
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/get_secrets_paginated/')
uri.query = URI.encode_www_form({ page: {{page}} })
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
response = http.request(request)
puts JSON.parse(response.body)
<?php
$page = {{page}};
$url = "https://api.hookpulse.io/v1/api/get_secrets_paginated/?page=" . urlencode($page);
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | integer | Yes | Page number to retrieve (starts from 1) |
Example response
{
"data": [
{
"key": "{{key}}",
"inserted_at": "{{inserted_at}}",
"secret_uuid": "{{secret_uuid}}",
"call_key": "{{ #key }}"
},
{
"key": "{{key}}",
"inserted_at": "{{inserted_at}}",
"secret_uuid": "{{secret_uuid}}",
"call_key": "{{ #key }}"
}
],
"meta": {
"page": {{page}},
"total_count": {{total_count}},
"per_page": {{per_page}},
"total_pages": {{total_pages}},
"has_next": {{has_next}},
"has_prev": {{has_prev}}
},
"success": true,
"timezone": "{{timezone}}"
}
Response fields
Data array
| Field | Type | Description |
|---|---|---|
key | string | The secret key name |
inserted_at | string | ISO 8601 timestamp when the secret was created (in your brand’s selected timezone with offset) |
call_key | string | Template syntax to use this secret in webhooks (e.g., {{ #key }}) |
secret_uuid | string | Unique identifier for the secret |
Meta object
| Field | Type | Description |
|---|---|---|
page | integer | Current page number |
total_count | integer | Total number of secrets |
per_page | integer | Number of items per page |
total_pages | integer | Total number of pages |
has_next | boolean | Whether there is a next page |
has_prev | boolean | Whether there is a previous page |
Root fields
| Field | Type | Description |
|---|---|---|
success | boolean | Indicates if the request was successful |
data | array | Array of secret objects |
meta | object | Pagination metadata |
timezone | string | IANA timezone identifier indicating the timezone used for all timestamps in the response (matches your brand’s selected timezone) |
Error Responses
If the page is out of range, you will receive:{
"success": false,
"timezone": "{{timezone}}",
"error": "Page out of range",
"meta": {
"page": {{page}},
"total_count": {{total_count}},
"per_page": {{per_page}},
"total_pages": {{total_pages}},
"has_next": {{has_next}},
"has_prev": {{has_prev}}
}
}
Authorizations
API key for authentication. Get this from your dashboard by selecting a brand and going to API Keys section.
Brand UUID for authentication. Get this from your dashboard after adding a brand - it will be displayed in the UI.
Query Parameters
Page number to retrieve (starts from 1)
Required range:
x >= 1⌘I

